### Method

# Gegl Color set_components

#### Declaration [src]

    void
    gegl_color_set_components (
      GeglColor* color,
      GValue* format,
      gdouble* components,
      gint components_length
    )

#### Description [src]

Set the color using the component values as `format`.

#### Parameters

`format`

  Type: `GValue`

  A Babl pointer.

  The data is owned by the caller of the function.

`components`

  Type: An array of `gdouble`

  The color components.

  The length of the array is specified in the `components_length` argument.
  The data is owned by the caller of the function.

`components_length`

  Type: `gint`

  The length of the components array.